;EX2.ORC: USE THIS WITH "EX2.CSG"
;GRANULAR SYNTHESIS
;Compiled by Mikel Kuehn 3/01

;HEADER SECTION
sr 	= 	44100  	;Sampling Rate = 44.1Khz (CD Quality)
kr 	= 	4410   	;Control Rate
ksmps	= 	10     	;Ratio (SR/KR) for internal use
nchnls	=	2	;Number of output channels

;p4 = amp
;p5 = cps
;p6 = spos
;p7 = function for wave shape

	instr 	1

aenv	oscil3	1, 1/p3, 82	;grain envelope
asnd	oscil3	p4, p5, p7	;wave

;THIS ADDS POWER PANNING
ippan	=	p6*1.570796325    ; half of PI (radians of 90o angle)
ipleft	=	cos(ippan)        ; half sign "down"
ipright	=	sin(ippan)        ; half sign "up"

	outs	asnd*aenv*ipleft, asnd*aenv*ipright
	endin
