; EX1.ORC: USE WITH CSGEN OUPUT FROM "EX1.CSG"
; Compiled by Mikel Kuehn -- 3/01

;HEADER SECTION
sr 	= 	44100  	;Sampling Rate = 44.1Khz (CD Quality)
kr 	= 	4410   	;Control Rate
ksmps	= 	10     	;Ratio (SR/KR) for internal use
nchnls	=	2	;Number of output channels

gal	init	0
gar	init	0
	instr	1
iamp	=	p4			;The maximum amplitude allowed
icps	=	p5
iratio	=	p6			;BIG envelope
ipos	=	p7			;spatial placement
ienv	=	p8			;envelope function
iwet	=	p9			;amount of wet signal (rev)

kenv	oscili	1, 1/p3, ienv		;envelope
;kpos	randi	.5, ischng		;gen amp points/sec
;kpos	=	kpos+.5			;scale to 0 to 1

kindx	oscili	1, 1/p3, ienv		;index envelope (not scaled)
asnd	foscili	iamp, icps, 1, iratio, kindx*4, 1

;THIS ADDS POWER PANNING
kppan	=	ipos*1.570796325  ; half of PI (radians of 90o angle)
kpleft	=	cos(kppan)        ; half sign "down"
kpright	=	sin(kppan)        ; half sign "up"

ax	=	asnd*kenv

;Now to filter out yucky DC offsets caused by "foscili"
al	buthp	ax*kpleft,  20
ar	buthp	ax*kpright, 20

gal	=	gal + al*iwet
gar	=	gar + ar*iwet

	outs	al*(1-iwet), ar*(1-iwet)

	endin

;global reverb instrument
	instr	2
a1	reverb2	gal, 3, .8
a2	reverb2 gar, 3, .8
	outs	(a1+a2*.5)*.75, (a2+a1*.5)*.75
gal	=	0
gar	=	0
	endin


